sccp_data_callback Struct Reference

## Data Fields

int(* | accept_cb )(struct sccp_connection *, void *)
void * | accept_context
int(* | read_cb )(struct msgb *, unsigned int, void *)
void * | read_context
uint8_t | ssn
struct llist_head | callback

## Field Documentation

## accept_cb

int(* sccp_data_callback::accept_cb) (struct sccp_connection *, void *)

Referenced by _sccp_handle_connection_request(), and sccp_connection_set_incoming().

## accept_context

void* sccp_data_callback::accept_context

Referenced by _sccp_handle_connection_request(), and sccp_connection_set_incoming().

## callback

struct llist_head sccp_data_callback::callback

Referenced by _find_ssn().

## read_cb

int(* sccp_data_callback::read_cb) (struct msgb *, unsigned int, void *)

Referenced by _sccp_handle_read(), and sccp_set_read().

## read_context

void* sccp_data_callback::read_context

Referenced by _sccp_handle_read(), and sccp_set_read().

## ssn

uint8_t sccp_data_callback::ssn

Referenced by _find_ssn().

The documentation for this struct was generated from the following file:

- src/sccp.c